body{
    display: flex;
}


.container{
    font-family: 'Roboto', sans-serif;
    margin-top: 146px;
    margin-left: 146px;
    line-height: 1.5;
    width: 960px;
}
.welcome-title{
    font-size: 32px;
    font-weight: bold;
    margin-bottom: 10px;
}
.welcome-text{
    font-size: 24px;
    margin-bottom: 43px;
}
.input-name{
    font-size: 18px;
    padding: 5px 15px;
    display: inline-block;
}
.categories{
    display: none;
}
.categories.active{
    display: block;
}
.category-type{
    text-transform: uppercase;
    color: #ABABAB;
    border: 2px solid #F8F8F8;
    border-radius: 5px;
    /* background-color: #E5E5E5; */
    display: inline-block;
    font-style: 12px;
    padding: 6px 15px;
    cursor: pointer;
    margin-top: 20px;
}
.category-type.current{
    background-color: #F8F8F8;
    color: #333333;
    cursor: auto;
}
.search-text{
    border: 2px solid #333333;
    border-radius: 10px;
    width: 680px;
    padding: 10px;
    display: none;
}
.search-text.active{
    display: block;
}
.search-types{
    margin-bottom: 30px;
}
.btn-get-joke{
    background-color: #7291FF;
    padding: 10px 40px;
    border-radius: 10px;
    color: #ffff;
    font-size: 16px;
    margin-top: 30px;
}

/* jokes */
.jokes-block{
    margin-top: 40px;
    background-color: #F8F8F8;
    /* padding: 40px; */
    width: 680px;
    border-radius: 20px;
    position: relative;
}
.joke-text{
    font-size: 18px;
    padding-left: 100px;
    padding-right: 40px;
}
.update-info{
    color: #ABABAB;
    font-style: 10px;
    display: inline-block;
    margin-top: 28px;
    margin-left: 100px;
    margin-bottom: 45px;
}
.category-type.joke-type{
    text-align: right;
}
.id-link{
    font-size: 14px;
    padding-left: 100px;
    margin-top: 70px;
    margin-bottom: 5px;
    display: inline-block;
}
.add-to-favourite{
    position: absolute;
    top: 40px;
    right: 40px;
    /* text-align: right; */
    cursor: pointer;
}
.text-ico{
    position: absolute;
    top: 67px;
    left: 40px;
}


/* favourite section */
.favourite{
    width: 480px;
    font-family: 'Roboto', sans-serif;
    background-color:  #F8F8F8;

}
.favourite-title{
    font-style: 20px;
    color: #ABABAB;
    margin-top: 40px;
    margin-left: 40px;
    margin-bottom: 20px;
}


